## carbon-c-relay 0.40

=== Makefile ===
# Copyright 2013-2015 Fabian Groffen
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


CFLAGS ?= -O2 -Wall
# if your compiler doesn't support OpenMP, comment out this line
CC += -fopenmp

GIT_VERSION := $(shell git describe --abbrev=6 --dirty --always || date +%F)
GVCFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"

override CFLAGS += $(GVCFLAGS) `pkg-config openssl --cflags` -pthread

SOCKET_LIBS =
ifeq ($(shell uname), SunOS)
SOCKET_LIBS += -lsocket  -lnsl
endif

override LIBS += `pkg-config openssl --libs` $(SOCKET_LIBS) -pthread

OBJS = \
	relay.o \
	consistent-hash.o \
	receptor.o \
	dispatcher.o \
	router.o \
	queue.o \
	server.o \
	collector.o \
	aggregator.o

relay: $(OBJS)
	$(CC) -o $@ $(LDFLAGS) $^ $(LIBS)

VERSION = $(shell sed -n '/VERSION/s/^.*"\([0-9.]\+\)".*$$/\1/p' relay.h)
dist:
	git archive \
		--format=tar.gz \
		--prefix=carbon-c-relay-$(VERSION)/ v$(VERSION) \
		> carbon-c-relay-$(VERSION).tar.gz

clean:
	rm -f *.o relay

=== contrib/debuntu/Makefile ===
# -----------------------------------------------------------------------------
# Makefile for carbon-c-relay
#
# Author: Jose Riguera <jriguera@gmail.com> based on the work of Fabian Groffen
# Date  : 2014-10-12
#
# -----------------------------------------------------------------------------
# creation of initial debian folder:
# dh_make --native -c apache -s -p carbon-c-relay_0.35

CC       = gcc
LINKER   = gcc -o
RM       = rm -f
MD       = mkdir -p
GIT      = git
INSTALL  = install
DEBUILD  = debuild
DEBCLEAN = debclean

# project name (generate executable with this name)
DESTDIR		 = /usr/local/etc/carbon
PREFIX           = /usr/local
TARGET           = carbon-c-relay
GIT_VERSION     := $(shell git describe --abbrev=6 --dirty --always || date +%F)
GVCFLAGS        += -DGIT_VERSION=\"$(GIT_VERSION)\"

# change these to set the proper directories where each files shoould be
SRCDIR   = src
OBJDIR   = obj
BINDIR   = sbin

# compiling flags here
CFLAGS          ?= -O2 -Wall
override CFLAGS += $(GVCFLAGS) `pkg-config openssl --cflags` -pthread

# linking flags here
override LIBS   += `pkg-config openssl --libs` -pthread
ifeq ($(shell uname), SunOS)
override LIBS   += -lsocket  -lnsl
endif
LFLAGS           = -O2 -Wall -lm $(LIBS)

SOURCES  := $(wildcard $(SRCDIR)/*.c)
INCLUDES := $(wildcard $(SRCDIR)/*.h)
OBJECTS  := $(SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o)


all: folders $(BINDIR)/$(TARGET)

$(BINDIR)/$(TARGET): $(OBJECTS)
	$(LINKER) $@ $(OBJECTS) $(LFLAGS)
	@echo "Linking complete. Binary file created!"

$(OBJECTS): $(OBJDIR)/%.o : $(SRCDIR)/%.c
	$(CC) $(CFLAGS) -c $< -o $@
	@echo "Compiled "$<" successfully!"

.PHONY: folders
folders:
	@$(MD) $(BINDIR) 
	@$(MD) $(OBJDIR)

.PHONY: install
install: $(BINDIR)/$(TARGET)
	$(INSTALL) -m 0755 $< $(PREFIX)/$(BINDIR)/$(TARGET)
	$(INSTALL) -d $(DESTDIR)
	$(INSTALL) -m 0644 conf/* $(DESTDIR) 

.PHONY: uninstall
uninstall:
	$(RM) $(PREFIX)/$(BINDIR)/$(TARGET)
	$(RM) -rf $(DESTDIR)/etc/$(TARGET) 


VERSION = $(shell sed -n '/VERSION/s/^.*"\([0-9.]\+\)".*$$/\1/p' $(SRCDIR)/relay.h)
.PHONY: dist
dist:
	@$(GIT) archive \
		--format=tar.gz \
		--prefix=$(TARGET)-$(VERSION)/ v$(VERSION) \
		> $(TARGET)-$(VERSION).tar.gz
	@echo "Created $(TARGET)-$(VERSION).tar.gz successfully!"


# check if the local environment is suitable to generate a package
# we check environment variables and a gpg private key matching
# these variables. this is necessary as we sign our packages.
.PHONY: checkenv
checkenv:
ifndef DEBEMAIL
	echo "Missing environment variable DEBEMAIL"
	@exit 1
endif
ifndef DEBFULLNAME
	echo "Missing environment variable DEBFULLNAME"
	@exit 1
endif
	#gpg --list-secret-keys "$(DEBFULLNAME) <$(DEBEMAIL)>" >/dev/null

# creates the .deb package and other related files
# all files are placed in ../
.PHONY: builddeb
debuild: checkenv
	# dpkg-buildpackage + lintian
	# -sa    Forces the inclusion of the original source.
	# -us    Do not sign the source package.
	# -uc    Do not sign the .changes file.
	$(DEBUILD) -us -uc -sa -b -rfakeroot -i -I.git -I.gitignore -I$(BINDIR) -I$(OBJDIR) -I$(TARGET)-$(VERSION).tar.gz

# create a new release based on PW_VERSION variable
.PHONY: newrelease
newrelease:
	debchange --changelog debian/changelog --urgency high --newversion $(VERSION)-1 "Releasing $(TARGET) $(VERSION)"

# creates a new version in debian/changelog
.PHONY: newversion
newversion:
	debchange --changelog debian/changelog -i --urgency high

# allow user to enter one or more changelog comment manually
.PHONY: changelog
changelog:
	debchange --changelog debian/changelog --force-distribution dist --urgency high -r
	debchange --changelog debian/changelog -a 

.PHONY: clean
clean:
	@$(RM) $(OBJECTS)
	@echo "Cleanup complete!"

.PHONY: dist-clean
distclean: clean
	@$(RM) -r $(BINDIR)
	@$(RM) -r $(OBJDIR)
	@$(RM) $(TARGET)-$(VERSION).tar.gz
	@echo "Executable removed!"

=== debian/changelog ===
carbon-c-relay (0.40-1) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Initial release. (Closes: #768983)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 16 Jun 2015 13:39:01 +0200

## carbon-c-relay 0.44

=== Makefile ===
--- 
+++ 
@@ -14,23 +14,26 @@
 
 
 CFLAGS ?= -O2 -Wall
-# if your compiler doesn't support OpenMP, comment out this line
-CC += -fopenmp
+# if your compiler doesn't support OpenMP, comment out this line, or
+# define OPENMP_FLAGS to be empty
+OPENMP_FLAGS ?= -fopenmp
+override CC += $(OPENMP_FLAGS)
 
 GIT_VERSION := $(shell git describe --abbrev=6 --dirty --always || date +%F)
 GVCFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"
 
-override CFLAGS += $(GVCFLAGS) `pkg-config openssl --cflags` -pthread
+override CFLAGS += $(GVCFLAGS) -pthread
 
 SOCKET_LIBS =
 ifeq ($(shell uname), SunOS)
 SOCKET_LIBS += -lsocket  -lnsl
 endif
 
-override LIBS += `pkg-config openssl --libs` $(SOCKET_LIBS) -pthread
+override LIBS += $(SOCKET_LIBS) -pthread
 
 OBJS = \
 	relay.o \
+	md5.o \
 	consistent-hash.o \
 	receptor.o \
 	dispatcher.o \

=== debian/changelog ===
carbon-c-relay (0.44-1) unstable; urgency=medium

  * [9b8e4e3] Merge tag 'upstream/0.44'
    Upstream version 0.44
  * [d0c49f0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 17:17:25 +0200

=== debian/control ===
Source: carbon-c-relay
Section: net
Priority: optional
Maintainer: Filippo Giunchedi <filippo@debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 9), dh-systemd, libssl-dev, pkg-config
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://github.com/grobian/carbon-c-relay
Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/carbon-c-relay.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-graphite/packages/carbon-c-relay.git/

Package: carbon-c-relay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Carbon-compatible graphite line mode relay
 This project provides a multithreaded relay which can address multiple targets
 and clusters for each and every metric based on pattern matches.
 .
 Consistent-hash routing compatible with the original carbon's implementation
 is also provided. This relay also supports aggregation, failover of backend
 servers and more.
 .
 Carbon is graphite's default storage backend and supports different protocols
 for receiving metrics, this project aims to be a replacement of graphite's
 original carbon-relay component and supports "plaintext" protocol metrics.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_auto_install:
	cp relay carbon-c-relay
	dh_auto_install

## carbon-c-relay 0.45

=== debian/changelog ===
carbon-c-relay (0.45-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Nov 2015 12:32:57 +0100

carbon-c-relay (0.45-1) unstable; urgency=medium

  * [1ac65ca] Merge tag 'upstream/0.45'
    Upstream version 0.45
  * [ca89b33] Updating carbon-c-relay options in /etc/default/carbon-c-relay.
  * [ce256b5] Generate manpage automatically.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 Nov 2015 14:28:24 +0100

## carbon-c-relay 1.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,10 @@
 SOCKET_LIBS += -lsocket  -lnsl
 endif
 
-override LIBS += $(SOCKET_LIBS) -pthread
+# should be accepted sort of anywhere
+MATH_LIBS = -lm
+
+override LIBS += $(SOCKET_LIBS) $(MATH_LIBS) -pthread
 
 OBJS = \
 	relay.o \

=== debian/changelog ===
carbon-c-relay (1.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Nov 2015 13:43:25 +0100

carbon-c-relay (1.1-1) unstable; urgency=medium

  * [9e34137] Merge tag 'upstream/1.1'
    Upstream version 1.1
  * [f5bbc6c] Fix replication count issue.
    Upstream d0c296dc860c206ab69a5d42fe8b187d3844486d

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Nov 2015 22:28:26 +0100

## carbon-c-relay 1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2013-2015 Fabian Groffen
+# Copyright 2013-2016 Fabian Groffen
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.

=== debian/changelog ===
carbon-c-relay (1.7-1) unstable; urgency=medium

  * [ef4ac7e] Merge tag 'upstream/1.7'
    Upstream version 1.7

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 07 Feb 2016 15:05:09 +0100

carbon-c-relay (1.3-1) unstable; urgency=medium

  * [dcdd982] Merge tag 'upstream/1.3'
    Upstream version 1.3
  * [a16ad80] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Jan 2016 14:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Filippo Giunchedi <filippo@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd, libssl-dev, pkg-config
+Build-Depends: debhelper (>= 9), dh-systemd, libssl-dev, pkg-config, help2man
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: https://github.com/grobian/carbon-c-relay

=== debian/watch ===
version=3

https://github.com/grobian/carbon-c-relay/releases/ /grobian/carbon-c-relay/archive/v(\d\.\d+).tar.gz

## carbon-c-relay 1.11

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,7 @@
 # limitations under the License.
 
 
-CFLAGS ?= -O2 -Wall
-# if your compiler doesn't support OpenMP, comment out this line, or
-# define OPENMP_FLAGS to be empty
-OPENMP_FLAGS ?= -fopenmp
-override CC += $(OPENMP_FLAGS)
+CFLAGS ?= -O2 -Wall -Wshadow
 
 GIT_VERSION := $(shell git describe --abbrev=6 --dirty --always || date +%F)
 GVCFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"

=== debian/changelog ===
carbon-c-relay (1.11-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Apr 2016 19:34:14 +0200

carbon-c-relay (1.11-1) unstable; urgency=medium

  * [388ca67] Merge tag 'upstream/1.11'
    Upstream version 1.11
  * [2d6be49] Refresh patches.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Mar 2016 20:53:58 +0200

## carbon-c-relay 2.2

=== debian/changelog ===
carbon-c-relay (2.2-1) unstable; urgency=medium

  * [e6c5142] Merge tag 'upstream/2.2'
    Upstream version 2.2

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Sep 2016 11:49:41 +0200

## carbon-c-relay 2.3

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,14 @@
 relay: $(OBJS)
 	$(CC) -o $@ $(LDFLAGS) $^ $(LIBS)
 
+man:
+	sed -e '/travis-ci.org\/grobian\/carbon-c-relay.svg/d' carbon-c-relay.md | \
+	ronn \
+		--manual="Graphite data collection and visualisation" \
+		--organization=Graphite \
+		--roff \
+	> carbon-c-relay.1
+
 VERSION = $(shell sed -n '/VERSION/s/^.*"\([0-9.]\+\)".*$$/\1/p' relay.h)
 dist:
 	git archive \

=== debian/changelog ===
carbon-c-relay (2.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 02 Dec 2016 10:00:34 +0100

carbon-c-relay (2.3-1) unstable; urgency=medium

  * [b994cee] Merge tag 'upstream/2.3'
    Upstream version 2.3

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Nov 2016 21:52:53 +0100

## carbon-c-relay 2.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2013-2016 Fabian Groffen
+# Copyright 2013-2017 Fabian Groffen
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -15,7 +15,7 @@
 
 CFLAGS ?= -O2 -Wall -Wshadow
 
-GIT_VERSION := $(shell git describe --abbrev=6 --dirty --always || date +%F)
+GIT_VERSION := $(shell git describe --abbrev=6 --dirty --always 2>/dev/null || date +%F)
 GVCFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 override CFLAGS += $(GVCFLAGS) -pthread

=== debian/changelog ===
carbon-c-relay (2.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Mar 2017 11:25:25 +0100

carbon-c-relay (2.5-1) unstable; urgency=medium

  * [770fae3] Merge tag 'upstream/2.5'
    Upstream version 2.5
  * [c6a37a5] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jan 2017 22:18:31 +0100

## carbon-c-relay 3.2

=== debian/changelog ===
carbon-c-relay (3.2-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:45 +0000

carbon-c-relay (3.2-1) unstable; urgency=medium

  * [43d56a5] Updated version 3.2 from 'upstream/3.2'
    with Debian dir d73ede5a15d3d192ece415e17a6615d144a194fe
  * [9073f37] removing old patches
  * [6edf8ed] use dh compat 10 for autotools fun
  * [5ae5dd1] work around broken libssl detection

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 23:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: carbon-c-relay
 Section: net
 Priority: optional
-Maintainer: Filippo Giunchedi <filippo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Filippo Giunchedi <filippo@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd, libssl-dev, pkg-config, help2man
+Build-Depends: debhelper (>= 10), dh-systemd, libssl-dev, pkg-config, help2man
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: https://github.com/grobian/carbon-c-relay

## carbon-c-relay 3.4

=== debian/changelog ===
carbon-c-relay (3.4-1) unstable; urgency=medium

  * [c6fa93c] Setting myself as Maintainer.
    Thanks to Filippo Giunchedi for the initial packaging work.
    You are welcome to join again, the source will be on salsa.
  * [c72a15d] Updating Git URLs to salsa.
  * [8cfc971] Update upstream source from tag 'upstream/3.4'
    Update to upstream version '3.4'
    with Debian dir de85ef8af6d54682caf8063c1997bf8dcd728fd3
  * [6da19e7] Add gitlab CI file
  * [8155a77] Removing patches, applied by upstream

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 25 Jan 2019 13:07:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: carbon-c-relay
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Filippo Giunchedi <filippo@debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 10), dh-systemd, libssl-dev, pkg-config, help2man
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: https://github.com/grobian/carbon-c-relay
-Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/carbon-c-relay.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-graphite/packages/carbon-c-relay.git/
+Vcs-Git: https://salsa.debian.org/debian/carbon-c-relay.git
+Vcs-Browser: https://salsa.debian.org/debian/carbon-c-relay
 
 Package: carbon-c-relay
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION := $(strip $(shell dpkg-parsechangelog| sed -e '/^Version/!d' -e 's,.* ,,;s,-.*,,'))
%:
	dh $@ --with systemd

override_dh_auto_install:
	cp relay carbon-c-relay
	help2man \
	    -n 'carbon-compatible graphite line mode relay' \
	    -s 1 \
	    -S 'Debian' \
	    -N ./carbon-c-relay \
	    --version-string='$(UPSTREAM_VERSION)' |\
	   	 sed 	-e 's,^.B relay,.B carbon-c-relay,' \
		 	-e '/worker threads/s,to [0-9]*,to the number of cpu cores,' > debian/carbon-c-relay.1
	dh_auto_install

## carbon-c-relay 3.7

=== debian/changelog ===
carbon-c-relay (3.7-3) unstable; urgency=medium

  * [525982a] try again to avoid re-using used ports
  * [640a83f] Avoid printing aggregator output
    The aggregator testcase fails on buildds and in the CI.
    Seems to be a timing issue. Raise the interval so it won't be
    printed hopefully.
  * [8e2c9a2] Fix expire/interval time for test

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 21 Sep 2020 00:54:04 +0200

carbon-c-relay (3.7-2) unstable; urgency=medium

  * [1125e61] Add iproute2 to build-deps.
    Seems its not installed on all buildds.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Sep 2020 22:37:24 +0200

carbon-c-relay (3.7-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [e63edac] Updating debian/.gitlab-ci.yml

  [ Debian Janitor ]
  * [11bd265] Use secure copyright file specification URI.
    Fixes: lintian: insecure-copyright-format-uri
    See-also: https://lintian.debian.org/tags/insecure-copyright-format-uri.html
  * [7640b46] Remove unnecessary X-Python{,3}-Version field in debian/control.
    Fixes: lintian: ancient-python-version-field
    See-also: https://lintian.debian.org/tags/ancient-python-version-field.html
  * [a6a83b6] Depend on newer debhelper (>= 9.20160709) rather than dh-systemd.
    Fixes: lintian: build-depends-on-obsolete-package
    See-also: https://lintian.debian.org/tags/build-depends-on-obsolete-package.html
    Closes: #958584
  * [c423094] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html
  * [0393352] Drop unnecessary dh arguments: --with=systemd.
    Fixes: lintian: debian-rules-uses-unnecessary-dh-argument
    See-also: https://lintian.debian.org/tags/debian-rules-uses-unnecessary-dh-argument.html

  [ Bernd Zeimetz ]
  * [ce1294e] New upstream version 3.7
    Closes: #913021
  * [cdabad7] install carbon-c-relay.md instead of a symlink. (Closes: #857518)
  * [c96faf7] Updating changelog
  * [482a755] Ship ChangeLog.md
  * [0d9b06c] really rename the relay binary to carbon-c-relay.
    Don't ship both files.
    Also use manpage from upstream.
  * [b329190] Updating changelog
  * [93befb8] Find next free port in regressiontests
  * [d50d7ba] don't test all ports if not needed

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 18 Sep 2020 19:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 10), dh-systemd, libssl-dev, pkg-config, help2man
+Build-Depends: debhelper (>= 10), libssl-dev, pkg-config, help2man, lz4, iproute2
 Standards-Version: 3.9.6
-X-Python-Version: >= 2.7
 Homepage: https://github.com/grobian/carbon-c-relay
 Vcs-Git: https://salsa.debian.org/debian/carbon-c-relay.git
 Vcs-Browser: https://salsa.debian.org/debian/carbon-c-relay

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION := $(strip $(shell dpkg-parsechangelog| sed -e '/^Version/!d' -e 's,.* ,,;s,-.*,,'))
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/carbon-c-relay/usr/share/man/man1/relay.1 debian/carbon-c-relay/usr/share/man/man1/carbon-c-relay.1
	mv debian/carbon-c-relay/usr/bin/relay debian/carbon-c-relay/usr/bin/carbon-c-relay

## carbon-c-relay 3.7.2

=== debian/changelog ===
carbon-c-relay (3.7.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Ignore make test errors due to segfaults from diff

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 26 Nov 2021 14:55:46 +0100

carbon-c-relay (3.7.2-1) unstable; urgency=medium

  * [df8c3f3] New upstream version 3.7
  * [c2d8d5c] Updating debian/watch
  * [bf975d1] New upstream version 3.7.2

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 19 Aug 2021 11:39:41 +0200

## carbon-c-relay 3.7.3

=== debian/changelog ===
carbon-c-relay (3.7.3-2) unstable; urgency=medium

  * [e3a05ae] Disable tests for now.
    We have segfaults/timeouts on buildds I was not able to reproduce yet.
    (Closes: #1004403)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 Jan 2022 22:59:39 +0100

carbon-c-relay (3.7.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [49aca9a] Remove constraints unnecessary since stretch
    * Build-Depends: Drop versioned constraint on debhelper.
    Changes-By: deb-scrub-obsolete

  [ Bernd Zeimetz ]
  * [679fbec] Rebuild bison/flex generated files
  * [39b5006] use make test
    trying to find a not-reproducible segfault
  * [f72ef7c] try strace
  * [4873489] As diff fails while reading a locale, try a different one
  * [c8f5cd3] Diff(!) segfailts during make test, ignore errors
  * [406a66f] Fix typo
  * [fdf5eb5] New upstream version 3.7.3

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 26 Nov 2021 15:06:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 10), libssl-dev, pkg-config, help2man, lz4, iproute2
+Build-Depends: debhelper, libssl-dev, pkg-config, help2man, lz4, iproute2, bison, flex
 Standards-Version: 3.9.6
 Homepage: https://github.com/grobian/carbon-c-relay
 Vcs-Git: https://salsa.debian.org/debian/carbon-c-relay.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,14 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	rm -f conffile.tab.c conffile.tab.h conffile.yy.c
+	dh_auto_configure
+
+override_dh_auto_test:
+	# disable tests for now, due to hard to reproduce timeouts/segfaults
+	# -dh_auto_test
+
 override_dh_auto_install:
 	dh_auto_install
 	mv debian/carbon-c-relay/usr/share/man/man1/relay.1 debian/carbon-c-relay/usr/share/man/man1/carbon-c-relay.1

=== debian/watch ===
version=3

https://github.com/grobian/carbon-c-relay/releases/ /grobian/carbon-c-relay/releases/download/v.*/carbon-c-relay-([0-9.]+)\.tar\.gz
